Upsert Campaign Products
curl --request PUT \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"products": [
{
"productId": "<string>",
"isActive": true
}
]
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/products"
payload = { "products": [
{
"productId": "<string>",
"isActive": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({products: [{productId: '<string>', isActive: true}]})
};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Upsert Campaign Products
Endpoint to upsert campaign products.
PUT
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
/
products
Upsert Campaign Products
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de chemin
The ID of the campaign.
Corps
application/json
The products to upsert.
Required array length:
1 - 250 elementsShow child attributes
Show child attributes
Réponse
Successful Response
Cette page vous a-t-elle été utile ?
⌘I